orte/mca/gpr/base/pack_api_cmd/gpr_base_pack_dump.c File Reference.TH "orte/mca/gpr/base/pack_api_cmd/gpr_base_pack_dump.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/base/pack_api_cmd/gpr_base_pack_dump.c \- The Open MPI general purpose registry - implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/include/orte_constants.h'\fP
.br
\fC#include 'orte/dps/dps.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/mca/gpr/base/base.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_base_pack_dump_all\fP (\fBorte_buffer_t\fP *cmd)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_pack_dump_segments\fP (\fBorte_buffer_t\fP *cmd, char *segment)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_pack_dump_triggers\fP (\fBorte_buffer_t\fP *cmd, orte_gpr_trigger_id_t start)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_pack_dump_subscriptions\fP (\fBorte_buffer_t\fP *cmd, orte_gpr_subscription_id_t start)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_pack_dump_a_trigger\fP (\fBorte_buffer_t\fP *cmd, char *name, orte_gpr_trigger_id_t id)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_pack_dump_a_subscription\fP (\fBorte_buffer_t\fP *cmd, char *name, orte_gpr_subscription_id_t id)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_pack_dump_callbacks\fP (\fBorte_buffer_t\fP *cmd)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - implementation. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
